package findyourfate.com.porutham;

import com.google.firebase.database.DatabaseReference;
import com.google.firebase.database.FirebaseDatabase;

import android.annotation.SuppressLint;
import androidx.appcompat.widget.Toolbar;

import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.app.ActionBar;
import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.graphics.Color;
import android.graphics.Typeface;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.webkit.WebView;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.Toast;
import android.widget.AdapterView.OnItemSelectedListener;
import android.net.Uri;

public class tamilsingle extends AppCompatActivity implements OnClickListener {
	private Spinner spinner1;
	DBHelper DB = null;
	ImageView image;
 
	TextView title, boystar;
	String star1;

	@SuppressLint("NewApi")
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		String userAgent = new WebView(tamilsingle.this).getSettings().getUserAgentString();
		if (userAgent.contains("Mobile")) {
			setContentView(R.layout.single);
		} else {
			setContentView(R.layout.singletab);
		}
		
		Toolbar toolbar = findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

		FirebaseDatabase database = FirebaseDatabase.getInstance();
		DatabaseReference ref = database.getReference("Description");
		ref.setValue("Description");
		 
		 

		Typeface fontface = Typeface.createFromAsset(getAssets(), "fonts/Bamini.ttf");

		title = (TextView) findViewById(R.id.textView2);
		boystar = (TextView) findViewById(R.id.textView1);

		title.setTypeface(fontface, Typeface.BOLD);
		String tamil1 = TamilUtil.convertToTamil(TamilUtil.BAMINI, "ஆண் நட்சத்திரம்");
		title.setText(tamil1);

		boystar.setTypeface(fontface, Typeface.BOLD);
		String tamil2 = TamilUtil.convertToTamil(TamilUtil.BAMINI, "ஆண் நட்சத்திரம் தேர்வு: ");
		boystar.setText(tamil2);

		addListenerOnSpinnerItemSelection();
		addListenerOnSpinnerItemSelection();
		// Optionally, configure toolbar settings
        if (getSupportActionBar() != null) {
            getSupportActionBar().setDisplayHomeAsUpEnabled(true);
            getSupportActionBar().setHomeButtonEnabled(true);
        }
	}

	public void addListenerOnSpinnerItemSelection() {
		spinner1 = (Spinner) findViewById(R.id.spinner1);
		String array1[] = { "--Nju;e;njL--",
				"mD\\k;",
				"m];tpdp",
				"mtpl;lk;",
				"Mapy;ak;",
				"guzp",
				"rpj;jpiu",
				"m];jk;",
				"fhu;j;jp",
				"Nfl;il",
				"kpUfrPuplk;",
				"%yk;",
				"kfk;",
				"G+uhlk;",
				"G+uk;",
				"G+ul;lhjp",
				"G+rk;",
				"Gdu;G+rk;",
				"Nutjp",
				"Nuhfpzp",
				"rjak;",
				"Rthjp",
				"jpUthjpiu",
				"jpUNthzk;",
				"cj;jpuk;",
				"cj;jpuhlk;",
				"cj;jpul;lhjp",
				"tprhfk;"
		};
		final Typeface tfavv = Typeface.createFromAsset(getAssets(), "fonts/Bamini.ttf");

		ArrayAdapter<String> sp_adapter = new ArrayAdapter<String>(this, R.layout.spinnertext, array1)

		{
			public View getView(int position, View convertView, android.view.ViewGroup parent) {
				TextView v = (TextView) super.getView(position, convertView, parent);
				v.setTypeface(tfavv);
				// v.setTextColor(Color.BLACK);
				// v.setTextSize(35);
				return v;
			}

			public View getDropDownView(int position, View convertView, android.view.ViewGroup parent) {
				TextView v = (TextView) super.getView(position, convertView, parent);
				v.setTypeface(tfavv);
				v.setTextColor(Color.BLACK);
				// v.setTextSize(35);
				return v;
			}
		};
		sp_adapter.setDropDownViewResource(R.layout.spinner_selector);
		Spinner sp = (Spinner) findViewById(R.id.spinner1);
		sp.setAdapter(sp_adapter);
		spinner1.setOnItemSelectedListener(new OnItemSelectedListener()

		{
			public void onItemSelected(AdapterView<?> main, View view, int position, long Id) {
				if (position > 0) {
					final String star = (String) spinner1.getSelectedItem();
					final String tamilboytstar = star;
					if (star.equals("") || star == null || star.equals("--தேர்ந்தெடு--")) {
						Toast.makeText(getApplicationContext(), "Please enter boy star", Toast.LENGTH_SHORT).show();
					} else {
						if (star.equals("mD\\k;")) {
							star1 = "Anusham";
						} else if (star.equals("m];tpdp")) {
							star1 = "Aswini";
						} else if (star.equals("mtpl;lk;")) {
							star1 = "Avittam";
						} else if (star.equals("Mapy;ak;")) {
							star1 = "Ayilayam";
						} else if (star.equals("guzp")) {
							star1 = "Barani";
						} else if (star.equals("rpj;jpiu")) {
							star1 = "Chithirai";
						} else if (star.equals("m];jk;")) {
							star1 = "Hastham";
						} else if (star.equals("fhu;j;jp")) {
							star1 = "Karthi";
						} else if (star.equals("Nfl;il")) {
							star1 = "Kettai";
						} else if (star.equals("kpUfrPuplk;")) {
							star1 = "Mirga";
						}

						else if (star.equals("%yk;")) {
							star1 = "Moolam";
						}

						else if (star.equals("kfk;")) {
							star1 = "Makam";
						} else if (star.equals("G+uhlk;")) {
							star1 = "Pooradam";
						} else if (star.equals("G+uk;")) {
							star1 = "Pooram";
						} else if (star.equals("G+ul;lhjp")) {
							star1 = "Poorat";
						} else if (star.equals("G+rk;")) {
							star1 = "Poosam";
						} else if (star.equals("Gdu;G+rk;")) {
							star1 = "Punarap";
						} else if (star.equals("Nutjp")) {
							star1 = "Reva";
						} else if (star.equals("Nuhfpzp")) {
							star1 = "Rohi";
						} else if (star.equals("rjak;")) {
							star1 = "Sathayam";
						} else if (star.equals("Rthjp")) {
							star1 = "Swathi";
						} else if (star.equals("jpUthjpiu")) {
							star1 = "Thiruv";
						} else if (star.equals("jpUNthzk;")) {
							star1 = "Thiruvonam";
						} else if (star.equals("cj;jpuk;")) {
							star1 = "Uthiram";
						} else if (star.equals("cj;jpuhlk;")) {
							star1 = "Uthiradam";
						} else if (star.equals("cj;jpul;lhjp")) {
							star1 = "Uthiratathi";
						} else if (star.equals("tprhfk;")) {
							star1 = "Visakam";
						}

						boolean validLogin = validateLogin(star, getBaseContext());
						if (validLogin) {

							 

								Intent in = new Intent(getBaseContext(), tamilsample1.class);
								in.putExtra("Star", star);
								in.putExtra("Tamilstar", tamilboytstar);
								startActivity(in);
							 
						}
					}
				} else {
				}
			}

			public void onNothingSelected(AdapterView<?> arg0) {
			}
		});
	}

	private boolean validateLogin(String star, Context baseContext) {
		DB = new DBHelper(getBaseContext());
		SQLiteDatabase db = DB.getReadableDatabase();
		String[] columns = { "_id" };
		String selection = "boystar=?";
		String[] selectionArgs = { star };
		Cursor cursor = null;
		try {
			cursor = db.query(DBHelper.DATABASE_TABLE_NAME, columns, selection, selectionArgs, null, null, null);
			startManagingCursor(cursor);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return true;
	}

	/*
	 * @Override
	 * public void onBackPressed() {
	 * AlertDialog.Builder builder = new AlertDialog.Builder(this);
	 * builder.setMessage("Are you sure you want to leave this App.")
	 * .setCancelable(false)
	 * .setPositiveButton("Yes", new DialogInterface.OnClickListener() {
	 * public void onClick(DialogInterface dialog, int id) {
	 * Intent int_home4 = new Intent(single.this,index.class);
	 * int_home4.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
	 * startActivity(int_home4);
	 * }
	 * })
	 * .setNegativeButton("No", new DialogInterface.OnClickListener() {
	 * public void onClick(DialogInterface dialog, int id) {
	 * dialog.cancel();
	 * }
	 * });
	 * AlertDialog alert = builder.create();
	 * alert.setIcon(R.drawable.alert);
	 * alert.show();
	 * 
	 * }
	 */
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		MenuInflater menuInflater = getMenuInflater();
		menuInflater.inflate(R.menu.activity_main, menu);
		MenuItem item = menu.findItem(R.id.cfont);
		item.setVisible(false);
		return true;
	}

	@Override
	public void onClick(View v) {
	}

	public boolean onOptionsItemSelected(MenuItem item) {
		int itemId = item.getItemId();

		if (itemId == android.R.id.home) {
			Intent int_abt = new Intent(this, index.class);
			int_abt.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
			startActivity(int_abt);
			return true;
		}
		else if (itemId == R.id.claculator) {
			Intent icon_calc = new Intent(this, poruthamcalculator.class);
			icon_calc.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
			startActivity(icon_calc);
			return true;
		}
		else if (itemId == R.id.Nakshatra) {
			Intent icon_find = new Intent(this, findnakshatra.class);
			icon_find.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
			startActivity(icon_find);
			return true;
		}
		else if (itemId == R.id.guru) {
			AlertDialog.Builder alt_compat = new AlertDialog.Builder(this);
			String desc = "App to find out when Guru Peyarchi or Jupiter transit takes place.";
			alt_compat.setTitle("Guru Peyarchi");
			alt_compat.setMessage(desc)
					.setCancelable(false)
					.setPositiveButton("Later", new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int id) {
							dialog.cancel();
						}
					})
					.setNegativeButton("Never/Already", new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int id) {
							dialog.cancel();
						}
					})
					.setNeutralButton("Open", new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int id) {
							Intent browserIntent = new Intent(Intent.ACTION_VIEW,
									Uri.parse("market://details?id=findyourfate.com.gurupeyarchi"));
							startActivity(browserIntent);
						}
					});
			AlertDialog alert = alt_compat.create();
			alert.show();
			return true;
		}
		else if (itemId == R.id.icon_exit) {
			AlertDialog.Builder builder = new AlertDialog.Builder(this);
			builder.setMessage("Are you sure you want to leave this App.")
					.setCancelable(false)
					.setPositiveButton("Yes", new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int id) {
							Intent intent = new Intent(Intent.ACTION_MAIN);
							intent.addCategory(Intent.CATEGORY_HOME);
							intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
							startActivity(intent);
						}
					})
					.setNegativeButton("No", new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int id) {
							dialog.cancel();
						}
					});
			AlertDialog alert1 = builder.create();
			alert1.setTitle("Close App.");
			alert1.setIcon(R.drawable.alert);
			alert1.show();
			return true;
		}
		else if (itemId == R.id.share) {
			Intent emailIntent = new Intent(android.content.Intent.ACTION_SEND);
			emailIntent.setType("text/plain");
			emailIntent.putExtra(android.content.Intent.EXTRA_SUBJECT, "10 Porutham by findyourfate.com");
			emailIntent.putExtra(android.content.Intent.EXTRA_TEXT,
					"Hi, I would like to suggest this 10 Porutham App to you. Click this link to download the app http://goo.gl/38FZui"
							+ "\n\n" + " Regards");
			startActivity(Intent.createChooser(emailIntent, "Share using"));
			return true;
		}
		else {
			return super.onOptionsItemSelected(item);
		}
	}


}